## r-cran-cachem 1.0.3

=== DESCRIPTION ===
Package: cachem
Version: 1.0.3
Title: Cache R Objects with Automatic Pruning
Description: Key-value stores with automatic pruning. Caches can limit
    either their total size or the age of the oldest object (or both),
    automatically pruning objects to maintain the constraints.
Authors@R: c(
    person("Winston", "Chang", , "winston@rstudio.com", c("aut", "cre")),
    person(family = "RStudio", role = c("cph", "fnd")))
License: MIT + file LICENSE
Encoding: UTF-8
LazyData: true
ByteCompile: true
URL: https://cachem.r-lib.org/, https://github.com/r-lib/cachem
Imports: rlang, fastmap
Suggests: testthat
RoxygenNote: 7.1.1
NeedsCompilation: yes
Packaged: 2021-02-04 16:19:42 UTC; winston
Author: Winston Chang [aut, cre],
  RStudio [cph, fnd]
Maintainer: Winston Chang <winston@rstudio.com>
Repository: CRAN
Date/Publication: 2021-02-04 18:00:11 UTC

=== debian/changelog ===
r-cran-cachem (1.0.3-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 13 (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Fri, 05 Feb 2021 09:28:49 +0100

r-cran-cachem (1.0.1-1) unstable; urgency=medium

  * Initial release (closes: #981281)

 -- Andreas Tille <tille@debian.org>  Thu, 28 Jan 2021 21:27:25 +0100

=== debian/control ===
Source: r-cran-cachem
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-rlang,
               r-cran-fastmap
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-cachem
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-cachem.git
Homepage: https://cran.r-project.org/package=cachem
Rules-Requires-Root: no

Package: r-cran-cachem
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: cache GNU R objects with automatic pruning
 Key-value stores with automatic pruning. Caches can limit
 either their total size or the age of the oldest object (or both),
 automatically pruning objects to maintain the constraints.

## r-cran-cachem 1.0.6

=== DESCRIPTION ===
Package: cachem
Version: 1.0.6
Title: Cache R Objects with Automatic Pruning
Description: Key-value stores with automatic pruning. Caches can limit
    either their total size or the age of the oldest object (or both),
    automatically pruning objects to maintain the constraints.
Authors@R: c(
    person("Winston", "Chang", , "winston@rstudio.com", c("aut", "cre")),
    person(family = "RStudio", role = c("cph", "fnd")))
License: MIT + file LICENSE
Encoding: UTF-8
ByteCompile: true
URL: https://cachem.r-lib.org/, https://github.com/r-lib/cachem
Imports: rlang, fastmap
Suggests: testthat
RoxygenNote: 7.1.1
NeedsCompilation: yes
Packaged: 2021-08-19 21:07:46 UTC; barret
Author: Winston Chang [aut, cre],
  RStudio [cph, fnd]
Maintainer: Winston Chang <winston@rstudio.com>
Repository: CRAN
Date/Publication: 2021-08-19 21:30:02 UTC

=== debian/changelog ===
r-cran-cachem (1.0.6-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (3) (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 09 Sep 2021 12:43:16 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                r-base-dev,
                r-cran-rlang,
                r-cran-fastmap
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-cachem
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-cachem.git
 Homepage: https://cran.r-project.org/package=cachem

## r-cran-cachem 1.0.7

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: cachem
-Version: 1.0.6
+Version: 1.0.7
 Title: Cache R Objects with Automatic Pruning
 Description: Key-value stores with automatic pruning. Caches can limit
     either their total size or the age of the oldest object (or both),
@@ -13,11 +13,13 @@
 URL: https://cachem.r-lib.org/, https://github.com/r-lib/cachem
 Imports: rlang, fastmap
 Suggests: testthat
-RoxygenNote: 7.1.1
+RoxygenNote: 7.2.0
+Config/Needs/routine: lobstr
+Config/Needs/website: pkgdown
 NeedsCompilation: yes
-Packaged: 2021-08-19 21:07:46 UTC; barret
+Packaged: 2023-02-24 01:25:16 UTC; winston
 Author: Winston Chang [aut, cre],
   RStudio [cph, fnd]
 Maintainer: Winston Chang <winston@rstudio.com>
 Repository: CRAN
-Date/Publication: 2021-08-19 21:30:02 UTC
+Date/Publication: 2023-02-24 08:32:30 UTC

=== debian/changelog ===
r-cran-cachem (1.0.7-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 27 Feb 2023 21:16:27 +0100

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: r-cran-cachem
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-cachem
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-cachem.git
+Homepage: https://cran.r-project.org/package=cachem
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-rlang,
                r-cran-fastmap
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-cachem
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-cachem.git
-Homepage: https://cran.r-project.org/package=cachem
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-cachem
 Architecture: any

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/cachem_([-\d.]*)\.tar\.gz

## r-cran-cachem 1.0.8

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: cachem
-Version: 1.0.7
+Version: 1.0.8
 Title: Cache R Objects with Automatic Pruning
 Description: Key-value stores with automatic pruning. Caches can limit
     either their total size or the age of the oldest object (or both),
@@ -11,15 +11,15 @@
 Encoding: UTF-8
 ByteCompile: true
 URL: https://cachem.r-lib.org/, https://github.com/r-lib/cachem
-Imports: rlang, fastmap
+Imports: rlang, fastmap (>= 1.1.1)
 Suggests: testthat
-RoxygenNote: 7.2.0
+RoxygenNote: 7.2.3
 Config/Needs/routine: lobstr
 Config/Needs/website: pkgdown
 NeedsCompilation: yes
-Packaged: 2023-02-24 01:25:16 UTC; winston
+Packaged: 2023-05-01 15:38:38 UTC; winston
 Author: Winston Chang [aut, cre],
   RStudio [cph, fnd]
 Maintainer: Winston Chang <winston@rstudio.com>
 Repository: CRAN
-Date/Publication: 2023-02-24 08:32:30 UTC
+Date/Publication: 2023-05-01 16:40:02 UTC

=== debian/changelog ===
r-cran-cachem (1.0.8-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 12 Jun 2023 09:20:16 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                dh-r,
                r-base-dev,
                r-cran-rlang,
-               r-cran-fastmap
+               r-cran-fastmap (>= 1.1.1)
 Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-cachem

## r-cran-cachem 1.1.0

=== DESCRIPTION ===
Package: cachem
Version: 1.1.0
Title: Cache R Objects with Automatic Pruning
Description: Key-value stores with automatic pruning. Caches can limit
    either their total size or the age of the oldest object (or both),
    automatically pruning objects to maintain the constraints.
Authors@R: c(
    person("Winston", "Chang", , "winston@posit.co", c("aut", "cre")),
    person(family = "Posit Software, PBC", role = c("cph", "fnd")))
License: MIT + file LICENSE
Encoding: UTF-8
ByteCompile: true
URL: https://cachem.r-lib.org/, https://github.com/r-lib/cachem
Imports: rlang, fastmap (>= 1.2.0)
Suggests: testthat
RoxygenNote: 7.2.3
Config/Needs/routine: lobstr
Config/Needs/website: pkgdown
NeedsCompilation: yes
Packaged: 2024-05-15 15:54:22 UTC; winston
Author: Winston Chang [aut, cre],
  Posit Software, PBC [cph, fnd]
Maintainer: Winston Chang <winston@posit.co>
Repository: CRAN
Date/Publication: 2024-05-16 09:50:11 UTC

=== debian/changelog ===
r-cran-cachem (1.1.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Fri, 06 Sep 2024 14:06:35 +0900

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,13 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-cachem
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-cachem.git
 Homepage: https://cran.r-project.org/package=cachem
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-rlang,
-               r-cran-fastmap (>= 1.1.1)
+               r-cran-fastmap (>= 1.2.0)
 Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-cachem
